/* $Id: mga_common_lib.h,v 1.4 1998/11/02 04:39:05 brian Exp $
******************************************************************************

   Matrox -- common driver/library structures and definitions

   Copyright (C) 1997		Jonas Borgstrm
   Copyright (C) 1997		Hartmut Niemann
   Copyright (C) 1997           Matthias Grimrath

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _MGA_COMMON_LIB_H_
#define _MGA_COMMON_LIB_H_

#include <kgi/kgi_commands.h>

/* Font layout of the Matrox framebuffer */

typedef struct mgafont {
	kgiu8 pad0_1[2];
	kgiu8 font;
	kgiu8 pad3_7[5];
} mgafont;

#define MM_PROT_RW     (VM_READ|VM_WRITE|VM_SHARED)

/* driver specific ioctls.  Hopefully don't collide. */
#define	GR_MATROX_WAITACCEL	        IOC(ACCEL, 0x80)

#endif /* _MGA_COMMON_LIB_H_ */
